# MatMFFDSetFromOptions

Sets the MatMFFD options from the command line parameter.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatMFFDSetFromOptions(Mat mat)

Collective on Mat

### Input Parameters

mat -the matrix obtained with MatCreateMFFD() or MatCreateSNESMF()

### Options Database Keys

| -mat_mffd_type | - wp or ds (see MATMFFD_WP or MATMFFD_DS)
| -mat_mffd_err | - square root of estimated relative error in function evaluation

-mat_mffd_period -how often h is recomputed, defaults to 1, everytime

### Keywords

SNES, matrix-free, parameters

### See Also

MatCreateSNESMF(),MatMFFDSetHHistory(),
MatMFFDResetHHistory(), MatMFFDKSPMonitor()

Level:advanced
Location: src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages